FAXWATCH(8C)

NAME
faxwatch - monitor low-level HylaFAX server actions

SYNOPSIS
/usr/local/sbin/faxwatch [ -g ] [ -l ] [ -h host ] trigger-expression

DESCRIPTION
faxwatch registers interest in one or more events on a HylaFAX server and then prints subsequent event messages to the standard output. The faxwatch program is intended mainly for testing the event distribution mechanism used by the HylaFAX servers.

The trigger-expression is supplied as an argument to a ``SITE TRIGGER'' command passed to the hfaxd(8C) The syntax for this expression is:

    [<class>['<'id'>'][<mask>|'*']]*

where <class> defines a class of events and is one of:

J   for job-related events,

S   for fax send-related events,

R   for fax receive-related events, and

M   for modem-related events.

A <mask> is a 4-hex-digit mask of trigger events (see the table below). If ``*'' is specified then all events in the class are matched.

An <id> can be used to restrict matches to a specific job or modem. Eventually this will need to be generalized for job groups.

Thus an example specification that would catch any event for the modem on ttyf2 would be ``M<ttyf2>*'', and to be notified when job 1932 is requeued or completes one would use ``J<1932>4c60''.

The output from faxwatch is ASCII text that describes each event. faxwatch runs until it is interrupted.

OPTIONS

-g  Display times and dates in Greenwich Mean Time (GMT). NB: this is the default.

-h host
    Report the status of the server on a specific host. The host may be either a symbolic name or a network address. IPv6 addresses are given in ``[xx:xx::x]:port'' format. If no -h option is supplied, faxwatch uses the FAXSERVER environment variable to identify the HylaFAX server to contact. If this variable is not set, then faxwatch checks for a setting in the configuration files (first in the per-user file and then in the system-wide file). If all of the above fails, then faxwatch attempts to contact a server on the machine where it is run.

-l  Display times and dates in the local timezone of the server.

-v  Trace the protocol exchanges between faxwatch and the hfaxd processes on the standard output.

EVENTS
The following table specifies the current set of events that may be monitored. This information is subject to change; consult the source code for reference.

Event	Class	Mask	Description
JOB_CREATE	J	0x0001	job created
JOB_SUSPEND	J	0x0002	job suspended
JOB_READY	J	0x0004	job ready to send
JOB_SLEEP	J	0x0008	job sleeping awaiting time-to-send
JOB_DEAD	J	0x0010	job marked dead
JOB_PROCESS	J	0x0020	job processed by scheduler
JOB_REAP	J	0x0040	job corpus reaped
JOB_ACTIVE	J	0x0080	job activated
JOB_REJECT	J	0x0100	job rejected
JOB_KILL	J	0x0200	job killed
JOB_BLOCKED	J	0x0400	job blocked by other job
JOB_DELAYED	J	0x0800	job delayed by tod restriction or similar
JOB_ALTERED¹	J	0x1000	job parameters altered
JOB_TIMEDOUT	J	0x2000	job kill timer expired
JOB_PREP_BEGIN	J	0x4000	job preparation started
JOB_PREP_END	J	0x8000	job preparation finished

SEND_BEGIN	S	0x0001	fax, send attempt started
SEND_CALL	S	0x0002	fax, call placed
SEND_CONNECTED	S	0x0004	fax, call answered by fax
SEND_PAGE	S	0x0008	fax, page transmit done
SEND_DOC	S	0x0010	fax, document transmit done
SEND_POLLRCVD	S	0x0020	fax, document retrieved by poll operation
SEND_POLLDONE	S	0x0040	fax, poll operation completed
SEND_END	S	0x0080	fax, send attempt finished
SEND_REFORMAT	S	0x0100	fax, job being reformatted
SEND_REQUEUE	S	0x0200	fax, job requeued
SEND_DONE	S	0x0400	fax, send job done

RECV_BEGIN	R	0x0001	fax, inbound call started
RECV_START	R	0x0002	fax, session started
RECV_PAGE	R	0x0004	fax, page receive done
RECV_DOC	R	0x0008	fax, document receive done
RECV_END	R	0x0010	fax, inbound call finished

MODEM_ASSIGN	M	0x0001	modem assigned to job
MODEM_RELEASE	M	0x0002	modem released by job
MODEM_DOWN	M	0x0004	modem marked down
MODEM_READY	M	0x0008	modem marked ready
MODEM_BUSY	M	0x0010	modem marked busy
MODEM_WEDGED	M	0x0020	modem considered wedged
MODEM_INUSE	M	0x0040	modem in use for outbound work
MODEM_DATA_BEGIN	M	0x0080	inbound data call begun
MODEM_DATA_END	M	0x0100	inbound data call finished
MODEM_VOICE_BEGIN	M	0x0200	inbound voice call begun
MODEM_VOICE_END	M	0x0400	inbound voice call finished
MODEM_CID	M	0x0800	inbound caller-ID information

¹ Event to be removed soon.

SEE ALSO
hylafax-server(5F), hfaxd(8C).